Skip to main content
DELETE
/
api
/
v2
/
apps
/
{app_id}
/
connectors
/
{connector_id}
/
owners
/
users
/
{role_slug}
/
{user_ref_id}
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.connectorOwnersV2.deleteUserOwner({
    appId: "<id>",
    connectorId: "<id>",
    roleSlug: "<value>",
    userRefId: "<id>",
  });

  console.log(result);
}

run();
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

connector_id
string
required

The connectorId field.

role_slug
string
required

The roleSlug field.

user_ref_id
string
required

The id of the user.

Body

application/json

DeleteConnectorUserOwnerRequest is the request for deleting a user ownership source on a connector.

userRef
User Ref · object

A reference to a user.

Response

200 - application/json

DeleteConnectorUserOwnerResponse is the empty response for deleting a user ownership source on a connector.

DeleteConnectorUserOwnerResponse is the empty response for deleting a user ownership source on a connector.